﻿[class*="rv-icon-"] {
    background-repeat: no-repeat !important;
    /*background-color: #3D3D3D;*/
    background-position: 5% 50% !important;
    background-size: auto auto !important;
    display: block;
    overflow: hidden;
    width: 30px;
    height: 30px;
    white-space: nowrap;
    /*text-indent: 30px;*/
    padding: 0 !important;
    /*margin-top:2px !important;*/
    vertical-align: middle;
    text-transform: none !important;
    align-content:center;
}

#request_button,#back_button, #cancel_button, #settings_button, #refresh_button, #submit_button, #save_button, #service_note_button, #find_button, #homeStation_button, #arCreate, #dispatch_button, #btnSave, #leaveHistoryFilterClearButto, #submitBtn, #cancelBtn, #sv_btnSave, #ln_btnSave, #upload_btn {
    width: 120px;
}

.ack_button {
    width: 120px !important;
    margin-left: 0px !important;
    line-height: 24px !important;
}

.remove_button {
    width: 120px !important;
    margin-left: 49px !important;
    line-height: 24px !important;
}

.icon_only_button {
    width: 24px !important;
    background-position: center !important;
}

@media only screen and (max-width: 850px) {
    span.icon_text_hide_on_mob {
        display: none;
    }

    #request_button,#refresh_button, #settings_button, #submit_button, #back_button, #cancel_button, #save_button, #service_note_button, #find_button, #homeStation_button, #arCreate, #dispatch_button, #btnSave, #leaveHistoryFilterClearButton, #submitBtn, #cancelBtn, #sv_btnSave, #ln_btnSave, #upload_btn {
        width: 24px;
        background-position: center !important;
    }
}

@media screen and (min-width: 346px) and (max-width: 850px) {
    .ack_button {
        width: 24px !important;
        background-position: center !important;
        margin-left: 15px !important;
    }

    .remove_button {
        width: 24px !important;
        background-position: center !important;
        margin-left: 30px !important;
    }
}

@media screen and (max-width: 345px) {
    .ack_button {
        width: 24px !important;
        background-position: center !important;
        margin-left: 5px !important;
    }

    .remove_button {
        width: 24px !important;
        background-position: center !important;
        margin-left: 12px !important;
    }
}

.rv-icon-back_button {
    background-image: url("themes/images/icons-png/back-white.png") !important;
}

.rv-icon-cancel_button {
    background-image: url("themes/images/icons-png/delete-white.png") !important;
}

.rv-icon-gear_button {
    background-image: url("themes/images/icons-png/gear-white.png") !important;
}

.rv-icon-refresh_button {
    background-image: url("themes/images/icons-png/refresh-white.png") !important;
}

.rv-icon-check_button {
    background-image: url("themes/images/icons-png/check-white.png") !important;
}

.rv-icon-alert_button {
    background-image: url("themes/images/icons-png/alert-white.png") !important;
}

.rv-icon-star_button {
    background-image: url("themes/images/icons-png/star-white.png") !important;
}

.rv-icon-filter_button {
    background-image: url("themes/images/icons-png/filter-white.png") !important;
}

.rv-icon-signon_button {
    background-image: url("themes/images/icons-png/signon-white.png") !important;
}

.rv-icon-arrow-u_button {
    background-image: url("themes/images/icons-png/arrow-u-white.png") !important;
}

.rv-icon-arrow-d_button {
    background-image: url("themes/images/icons-png/arrow-d-white.png") !important;
}

.rv-icon-star-bl_button {
    background-image: url("themes/images/icons-png/star-black.png") !important;
}

.rv-icon-filter-bl_button {
    background-image: url("themes/images/icons-png/filter-black.png") !important;
}

.rv-icon-arrow-u-bl_button {
    background-image: url("themes/images/icons-png/arrow-u-black.png") !important;
}

.rv-icon-arrow-d-bl_button {
    background-image: url("themes/images/icons-png/arrow-d-black.png") !important;
}

.rv-icon-check-bl_button {
    background-image: url("themes/images/icons-png/check-black.png") !important;
}

.rv-icon-search-bl_button {
    background-image: url("themes/images/icons-png/search-black.png") !important;
}

.rv-icon-search_button {
    background-image: url("themes/images/icons-png/search-white.png") !important;
}

.rv-icon-home_button {
    background-image: url("themes/images/icons-png/home-white.png") !important;
}

.rv-icon-plus_button {
    background-image: url("themes/images/icons-png/plus-white.png") !important;
}

.rv-icon-plus-bl_button {
    background-image: url("themes/images/icons-png/plus-black.png") !important;
}

.rv-icon-minus_button {
    background-image: url("themes/images/icons-png/minus-white.png") !important;
}

.rv-icon-minus-bl_button {
    background-image: url("themes/images/icons-png/minus-black.png") !important;
}

.rv-icon-edit-wh_button {
    background-image: url("themes/images/icons-png/edit-white.png") !important;
}

.rv-icon-user_button {
    background-image: url("themes/images/icons-png/user-white.png") !important;
}

.rv-icon-carat-r_button {
    background-image: url("themes/images/icons-png/carat-r-white.png") !important;
}

.rv-icon-carat-l_button {
    background-image: url("themes/images/icons-png/carat-l-white.png") !important;
}

.rv-icon-carat-u_button {
    background-image: url("themes/images/icons-png/carat-u-white.png") !important;
}

.rv-icon-carat-d_button {
    background-image: url("themes/images/icons-png/carat-d-white.png") !important;
}

.rv-icon-carat-r-bl_button {
    background-image: url("themes/images/icons-png/carat-r-black.png") !important;
}

.rv-icon-carat-l-bl_button {
    background-image: url("themes/images/icons-png/carat-l-black.png") !important;
}

.rv-icon-carat-u-bl_button {
    background-image: url("themes/images/icons-png/carat-u-black.png") !important;
}

.rv-icon-carat-d-bl_button {
    background-image: url("themes/images/icons-png/carat-d-black.png") !important;
}

.rv-icon-ln-u-bl_button {
    background-image: url('../img/ln_up-b.png') !important;
    background-size: 15px 15px !important;
}

.rv-icon-ln-d-bl_button {
    background-image: url('../img/ln_down-b.png') !important;
    background-size: 15px 15px !important;
}

.rv-icon-ln-u_button {
    background-image: url('../img/ln_up.png') !important;
    background-size: 15px 15px !important;
}

.rv-icon-ln-d_button {
    background-image: url('../img/ln_down.png') !important;
    background-size: 15px 15px !important;
}

.left_align_button_container {
    left: 0.5em;
    position: absolute;
}

    .left_align_button_container a {
        line-height: 23px !important;
    }

.right_align_button_container {
    right: 0.5em;
    position: absolute;
}

    .right_align_button_container a {
        line-height: 23px !important;
    }

@media only screen and (max-width: 849px) {
    .left_align_button_container {
        left: 0.1em;
        position: absolute;
    }
}